package com.malk.lingmingguangzi.controller;

import com.malk.lingmingguangzi.service.LingmingguangziService;
import com.malk.server.common.McR;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Slf4j
public class LingmingguangziController {
    @Autowired
    private LingmingguangziService lingmingguangziService;

    @GetMapping("/test")
    public McR test() {
        return lingmingguangziService.test();
    }

    //获取‘客户满意度调查-车载’不同客户数量
    @GetMapping("/getVehicleCustomerCount")
    public McR getVehicleCustomerCount() {
        return lingmingguangziService.getVehicleCustomerCount();
    }

    @GetMapping("/getConsumeCustomerCount")
    public McR getConsumeCustomerCount() {
        return lingmingguangziService.getConsumeCustomerCount();
    }
}
